---

misp_pkg_list:
 - openssh-server
 - httpd
 - mariadb
 - mariadb-server
 - php
 - php-mysqlnd
 - php-mbstring
 - php-devel
 - php-pear
 - php-fpm
 # php-pecl-* from remi repository
 - php-pecl-redis
 - php-pecl-ssdeep
 - php-pecl-gnupg
 - php-opcache
 - php-xml
 - php-gd
 - php-json
 - php-zip
 - postfix
 - "@Development tools"
 - zip
 - git
 - redis
 - make
 - python3-devel
 - python3-pip
 - python3-virtualenv
 - python3-policycoreutils
 - policycoreutils-python-utils
 - libxml2-devel
 - libxslt-devel
 - zlib-devel
 - curl
 - gnupg
 #
 - "{% if (ansible_os_family == 'RedHat' and ansible_distribution_major_version | int >= 8) and ansible_virtualization_type is defined %}haveged{% else %}rng-tools{% endif %}"
 - wget
 # misp-modules
 - python36
 - python36-devel
 - python3-PyMySQL
 - libpq
 ## misc
 - acl
 - sudo
 - crontabs
 - libjpeg-turbo-devel
 - openssl
 - hostname
 ## kitchen/ss
 - iproute
 - ssdeep-devel
 - ssdeep-libs
 # - openjpeg-devel
 # - rubygem-rouge
 # - rubygem-asciidoctor
 - libSM
 # - zbar
 - libXrender
 ## CentOS PowerTools x86_64
 - poppler-cpp-devel

easy_install_bin: easy_install-3.6
python3_bin: python3.6
python3_pip: /usr/local/bin/pip3

misp_webserver_apache2:
 - httpd

misp_webserver_nginx:
 - nginx
 - php-fpm

mysql_svc: mariadb
rng_svc: "{% if (ansible_os_family == 'RedHat' and ansible_distribution_major_version | int >= 8) and ansible_virtualization_type is defined %}haveged{% else %}rngd{% endif %}"
redis_svc: redis
redis_conf: /etc/redis.conf
misp_services:
 - "{{ apache_svc }}"
 - "{{ mysql_svc }}"
 - "{{ rng_svc }}"
 - php-fpm

misp_testing_pkg:
 - rubygem-rake

nginx_sock: /var/run/php-fpm/php-fpm.sock
php_confdir: /etc/php.d
php_confext: ini
php_ini: /etc/php.ini
php_remi_version: 74
fpm_user: nobody

gnupg_privdir: "{{ misp_rootdir }}/.gnupg"

apacheetc: /etc/httpd
ssl_user: root
ssl_dir: /etc/pki/tls/certs
ssl_privatedir: /etc/pki/tls/private
